FROM {{docker_src}}

ENV container docker
{{env}}


RUN  {{package_solver}} update \
  &&  {{package_solver}} install -y \
  {% for package in packages %}
      {{package}} \
  {% endfor %}
  {% for sys_cmd in systemd %}
    && systemctl {{sys_cmd}} \
  {% endfor %}
  && {{clear}}
{% for file, dest  in files.items() %}
COPY {{file}} {{dest}}
{% endfor %}
{% for cmd in cmds %}
  {% if loop.first %}
    RUN {{cmd}} \
  {% elif loop.last %}
    && {{cmd}} 
  {% else %}
    && {{cmd}} \
  {% endif %}
{% endfor %}
STOPSIGNAL SIGRTMIN+3
CMD ["/lib/systemd/systemd"]
